/* 
    Table of content
    1. PROJECT TILE
    2. BLOGITEM
*/

/* 1. PROJECT TILE */
.project-tile {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 150%;
    border-radius: var(--border-radius);
    background-size: calc(100% + 0.2rem) auto;
    background-position: center;
    display: block;
    overflow: hidden;
    transition: .3s;
}

.project-tile::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%;
    background: rgb(0,0,0);
    background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 100%);
    opacity: .5;
}

@media (hover: hover) and (pointer: fine) {
    .project-tile:hover {
        transform: scale(1.0375);
    }
}

.project-tile .content-wrapper {
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: var(--inner-padding);
    color: white;
}

.project-tile h3 {
    margin: 0;
    font-weight: 700;
    line-height: 1.1;
}

.project-tile .sector {
    margin-top: .5rem;
    font-size: 1.4rem;
    line-height: 1.5;
}

/* 2. BLOGITEM */
.blogitem {
    border-radius: var(--border-radius);
    overflow: hidden;
    color: inherit;
    text-decoration: inherit;
}

.blogitem .image-wrapper {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 66.67%;
}

.blogitem .image-wrapper img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.blogitem .content-wrapper {
    padding: var(--inner-padding);
    background-color: var(--color-lightgrey);
    transition: .3s;
}

.blogitem h3 {
    font-size: 2.2rem;
}

.blogitem:hover .content-wrapper {
    background-color: var(--color-yellow);
}

.blogitem .footer {
    margin-top: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.4rem;
}

/* MOBILE */
@media (hover: none) and (pointer: coarse) {
    /* 2. BLOGITEM */
    .blogitem:hover .content-wrapper {
        background-color: inherit;
    }
}